package com.example.minermonsters;

import android.os.Bundle;
import android.app.Activity;
import android.content.SharedPreferences;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

public class ManageMonsters extends Activity {
	
	public SharedPreferences card1;
	public SharedPreferences card2;
	
	private static final String DEBUG_TAG = "MySimpleAppLogging";
	
	public static final String SLOTONE = "slot one";
	public static final String SLOTTWO = "slot two";
	public static final String NAME = "name";
	public static final String BREED = "breed";
	public static final String TYPE = "type";
	public static final String HP = "hp";
	public static final String STR = "str";
	public static final String DEF = "def";
	public static final String SPD = "spd";
	public static final String EXP = "exp";
	public static final String LEVEL = "lvl";

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_manage_monsters);
        
        card1 =  getSharedPreferences("com.example.minermonsters.savedstate1", Activity.MODE_PRIVATE);
        card2 =  getSharedPreferences("com.example.minermonsters.savedstate2", Activity.MODE_PRIVATE);
        
        String type, hp, str, def, spd, exp, lvl, ele;
		String imagePath, name, element;
        
		Button card1Btn = (Button) findViewById(R.id.card1s_btn);
        Button card2Btn = (Button) findViewById(R.id.card2s_btn);
        //Button deleteBtn = (Button) findViewById(R.id.delete_btn);
		
        final ImageView monsterImage = (ImageView) findViewById(R.id.imageView1s);
        final TextView name_text = (TextView) findViewById(R.id.names_text);
        final TextView type_text = (TextView) findViewById(R.id.types_text);
        final TextView hp_text = (TextView) findViewById(R.id.hps_text);
        final TextView lvl_text = (TextView) findViewById(R.id.lvls_text);
        final TextView exp_text = (TextView) findViewById(R.id.exps_text);
        final TextView spd_text = (TextView) findViewById(R.id.spds_text);
        final TextView def_text = (TextView) findViewById(R.id.defs_text);
        final TextView str_text = (TextView) findViewById(R.id.strs_text);
        final TextView element_text = (TextView) findViewById(R.id.elements_text);
        
        
       
        //deleteBtn.setClickable(false);
        
        if (getIntent().getStringArrayListExtra(SLOTONE).equals("empty")){
        	card1Btn.setClickable(false);
        	card2Btn.setClickable(true);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(1));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(1));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(1));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(1));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(1));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(1));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(1));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(1));
        	
        	
        }
        else if(getIntent().getStringArrayListExtra(SLOTTWO).equals("empty")){
        	card1Btn.setClickable(true);
        	card2Btn.setClickable(false);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
        	
        }
        else{
        	card1Btn.setClickable(true);
        	card2Btn.setClickable(true);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
        	
        }
        
        card2Btn.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				
				name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(1));
	        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(1));
	        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(1));
	        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(1));
	        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(1));
	        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(1));
	        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(1));
	        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(1));
			}
        });
        
        
        card1Btn.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				
				name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
	        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
	        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
	        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
	        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
	        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
	        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
	        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
			}
        });
			
        
        
        
        
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_manage_monsters, menu);
        return true;
    }
}
